### Hierarchy

- Fragment
  - IfFragment

### Implements

- ISourcePosition

## Index

### Constructors

- constructor

### Properties

- ch
- expr
- file
- line

### Methods

- render

## Constructors

### constructor

- new IfFragment(position: ISourcePosition, expr: string): IfFragment

- Overrides Fragment.constructor

  - Defined in fragments/conditionals.ts:5

  #### Parameters

  - ##### position: ISourcePosition

  - ##### expr: string

  #### Returns IfFragment

## Properties

### ch

ch: number

Implementation of ISourcePosition.ch

Inherited from Fragment.ch

- Defined in CompilerInterface.ts:12

### Private expr

expr: string

- Defined in fragments/conditionals.ts:8

### file

file: string

Implementation of ISourcePosition.file

Inherited from Fragment.file

- Defined in CompilerInterface.ts:13

### line

line: number

Implementation of ISourcePosition.line

Inherited from Fragment.line

- Defined in CompilerInterface.ts:11

## Methods

### render

- render(): string

- Overrides Fragment.render

  - Defined in fragments/conditionals.ts:12

  #### Returns string

Generated using TypeDoc